/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class CreateUserRequest {
    public sub: string;

    public username: string;

    public name: string;

    public email: string;

    public materialBackground: number;

    /**
     * Creates a CreateUserRequest.
     *
     * @param {string} sub
     * @param {string} username
     * @param {string} name
     * @param {string} email
     * @param {number} materialBackground
     */
    constructor(sub: string, username: string, name: string, email: string, materialBackground: number) {
        this.sub = sub;
        this.username = username;
        this.name = name;
        this.email = email;
        this.materialBackground = materialBackground;
    }
}
